/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.eclipse.ui.dialogs;

import org.eclipse.swt.widgets.Shell;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.eclipse.ui.dialogs.SelectNodeDialog;
import com.unitesk.requality.eclipse.views.TreesContentProvider;
import com.unitesk.requality.nodetypes.Document;

public class SelectDocDialog extends SelectNodeDialog {
    public SelectDocDialog(Shell shell, TreeDB treedb) {
        super(shell, treedb);
    }

    public String getTitle() {
        return "Document Selection";
    }

    protected TreesContentProvider getContentProvider() {
        return new TreesContentProvider(Document.getTypeRootQId()) {
            @Override
            public boolean hasChildren(Object element) {
                if (element instanceof Document) {
                    return false;
                }
                return super.hasChildren(element);
            }
        };
    }
}
